﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CSharpSamples_Khoshamoz.OOP
{
    class Vehicle
    {

        private String _Colour;
        public String Colour 
        {
            get 
            {
                return _Colour;            
            }
            set 
            {
                _Colour = value;
            } 
        }

        private int _NumberOfDoors;
        public int NumberOfDoors 
        {
            get 
            {
                return _NumberOfDoors;
            }
            set 
            {
                if (value > 100)
                {
                    _NumberOfDoors = 100;
                }
                else if (value < 0)
                {
                    _NumberOfDoors = 0;
                }
                else
                {
                    _NumberOfDoors = value;
                }
            } 
        }
        
        public int NumberOfWheels { get; set; }
        public int TopSpeed { get; set; }


    }
}
